# AOCreateBasicIS

Creates a basic application ordering using two index sets.

### Synopsis

    #include "petscao.h"
    PetscErrorCode PETSCDM_DLLEXPORT AOCreateBasicIS(IS isapp,IS ispetsc,AO *aoout)

Collective on IS

### Input Parameters

| isapp | - index set that defines an ordering
| ispetsc | - index set that defines another ordering (may be PETSC_NULL to use the natural ordering)

### Output Parameter

aoout -the new application ordering

### Options Database Key

-ao_view -call AOView() at the conclusion of AOCreateBasicIS()

### Keywords

AO, create

### See Also

AOCreateBasic(), AODestroy()

Level:beginner
Location: src/dm/ao/impls/basic/aobasic.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages